diff --git a/test_plans/dpdk_gro_lib_cbdma_test_plan.rst b/test_plans/dpdk_gro_lib_cbdma_test_plan.rst
index 6d511d7a..db101c9e 100644
--- a/test_plans/dpdk_gro_lib_cbdma_test_plan.rst
+++ b/test_plans/dpdk_gro_lib_cbdma_test_plan.rst
@@ -97,12 +97,14 @@ This case tests dpdk gro lib with TCP/IPv4 traffic when vhost uses the asynchron
 3.  Set up vm with virto device and using kernel virtio-net driver::
 
 	taskset -c 31 qemu-system-x86_64 -name vm0 -enable-kvm -cpu host -smp 1 -m 4096 \
-	-object memory-backend-file,id=mem,size=4096M,mem-path=/mnt/huge,share=on \
+	-object memory-backend-file,id=mem,size=4096M,mem-path=/dev/hugepages,share=on \
 	-numa node,memdev=mem -mem-prealloc -drive file=/home/image/ubuntu2004.img \
-	-chardev socket,path=/tmp/vm0_qga0.sock,server,nowait,id=vm0_qga0 -device virtio-serial \
-	-device virtserialport,chardev=vm0_qga0,name=org.qemu.guest_agent.0 -pidfile /tmp/.vm0.pid -daemonize \
 	-monitor unix:/tmp/vm0_monitor.sock,server,nowait \
-	-netdev user,id=nttsip1,hostfwd=tcp:127.0.0.1:6000-:22 -device e1000,netdev=nttsip1 \
+	-device e1000,netdev=nttsip1 \
+	-netdev user,id=nttsip1,hostfwd=tcp:127.0.0.1:6000-:22 \
+	-chardev socket,path=/tmp/vm0_qga0.sock,server,nowait,id=vm0_qga0 \
+	-device virtio-serial \
+	-device virtserialport,chardev=vm0_qga0,name=org.qemu.guest_agent.0 -pidfile /tmp/.vm0.pid -daemonize \
 	-chardev socket,id=char0,path=./vhost-net \
 	-netdev type=vhost-user,id=netdev0,chardev=char0,vhostforce,queues=2 \
 	-device virtio-net-pci,netdev=netdev0,mac=52:54:00:00:00:01,mrg_rxbuf=on,csum=on,gso=on,host_tso4=on,guest_tso4=on,mq=on,vectors=15 -vnc :4
diff --git a/test_plans/dpdk_gro_lib_test_plan.rst b/test_plans/dpdk_gro_lib_test_plan.rst
index a48286eb..2e4f2453 100644
--- a/test_plans/dpdk_gro_lib_test_plan.rst
+++ b/test_plans/dpdk_gro_lib_test_plan.rst
@@ -81,10 +81,10 @@ Test Case1: DPDK GRO lightmode test with tcp/ipv4 traffic
 3.  Set up vm with virto device and using kernel virtio-net driver::
 
      taskset -c 13 qemu-system-x86_64 -name us-vhost-vm1 \
-       -cpu host -enable-kvm -m 2048 -object memory-backend-file,id=mem,size=2048M,mem-path=/mnt/huge,share=on \
+       -cpu host -enable-kvm -m 2048 -object memory-backend-file,id=mem,size=2048M,mem-path=/dev/hugepages,share=on \
        -numa node,memdev=mem \
        -mem-prealloc -monitor unix:/tmp/vm2_monitor.sock,server,nowait -net nic,vlan=2,macaddr=00:00:00:08:e8:aa,addr=1f -net user,vlan=2,hostfwd=tcp:127.0.0.1:6001-:22 \
-       -smp cores=1,sockets=1 -drive file=/home/osimg/ubuntu2004.img  \
+       -smp cores=1,sockets=1 -drive file=/home/image/ubuntu2004.img  \
        -chardev socket,id=char0,path=./vhost-net \
        -netdev type=vhost-user,id=mynet1,chardev=char0,vhostforce \
        -device virtio-net-pci,mac=52:54:00:00:00:01,netdev=mynet1,mrg_rxbuf=on,csum=on,gso=on,host_tso4=on,guest_tso4=on \
@@ -135,10 +135,10 @@ Test Case2: DPDK GRO heavymode test with tcp/ipv4 traffic
 3.  Set up vm with virto device and using kernel virtio-net driver::
 
      taskset -c 13 qemu-system-x86_64 -name us-vhost-vm1 \
-       -cpu host -enable-kvm -m 2048 -object memory-backend-file,id=mem,size=2048M,mem-path=/mnt/huge,share=on \
+       -cpu host -enable-kvm -m 2048 -object memory-backend-file,id=mem,size=2048M,mem-path=/dev/hugepages,share=on \
        -numa node,memdev=mem \
        -mem-prealloc -monitor unix:/tmp/vm2_monitor.sock,server,nowait -net nic,vlan=2,macaddr=00:00:00:08:e8:aa,addr=1f -net user,vlan=2,hostfwd=tcp:127.0.0.1:6001-:22 \
-       -smp cores=1,sockets=1 -drive file=/home/osimg/ubuntu2004.img  \
+       -smp cores=1,sockets=1 -drive file=/home/image/ubuntu2004.img  \
        -chardev socket,id=char0,path=./vhost-net \
        -netdev type=vhost-user,id=mynet1,chardev=char0,vhostforce \
        -device virtio-net-pci,mac=52:54:00:00:00:01,netdev=mynet1,mrg_rxbuf=on,csum=on,gso=on,host_tso4=on,guest_tso4=on \
@@ -189,10 +189,10 @@ Test Case3: DPDK GRO heavymode_flush4 test with tcp/ipv4 traffic
 3.  Set up vm with virto device and using kernel virtio-net driver::
 
      taskset -c 13 qemu-system-x86_64 -name us-vhost-vm1 \
-       -cpu host -enable-kvm -m 2048 -object memory-backend-file,id=mem,size=2048M,mem-path=/mnt/huge,share=on \
+       -cpu host -enable-kvm -m 2048 -object memory-backend-file,id=mem,size=2048M,mem-path=/dev/hugepages,share=on \
        -numa node,memdev=mem \
        -mem-prealloc -monitor unix:/tmp/vm2_monitor.sock,server,nowait -net nic,vlan=2,macaddr=00:00:00:08:e8:aa,addr=1f -net user,vlan=2,hostfwd=tcp:127.0.0.1:6001-:22 \
-       -smp cores=1,sockets=1 -drive file=/home/osimg/ubuntu2004.img  \
+       -smp cores=1,sockets=1 -drive file=/home/image/ubuntu2004.img  \
        -chardev socket,id=char0,path=./vhost-net \
        -netdev type=vhost-user,id=mynet1,chardev=char0,vhostforce \
        -device virtio-net-pci,mac=52:54:00:00:00:01,netdev=mynet1,mrg_rxbuf=on,csum=on,gso=on,host_tso4=on,guest_tso4=on \
@@ -262,10 +262,10 @@ Vxlan topology
 3.  Set up vm with virto device and using kernel virtio-net driver::
 
      taskset -c 13 qemu-system-x86_64 -name us-vhost-vm1 \
-       -cpu host -enable-kvm -m 2048 -object memory-backend-file,id=mem,size=2048M,mem-path=/mnt/huge,share=on \
+       -cpu host -enable-kvm -m 2048 -object memory-backend-file,id=mem,size=2048M,mem-path=/dev/hugepages,share=on \
        -numa node,memdev=mem \
        -mem-prealloc -monitor unix:/tmp/vm2_monitor.sock,server,nowait -net nic,vlan=2,macaddr=00:00:00:08:e8:aa,addr=1f -net user,vlan=2,hostfwd=tcp:127.0.0.1:6001-:22 \
-       -smp cores=1,sockets=1 -drive file=/home/osimg/ubuntu2004.img  \
+       -smp cores=1,sockets=1 -drive file=/home/image/ubuntu2004.img  \
        -chardev socket,id=char0,path=./vhost-net \
        -netdev type=vhost-user,id=mynet1,chardev=char0,vhostforce \
        -device virtio-net-pci,mac=52:54:00:00:00:01,netdev=mynet1,mrg_rxbuf=on,csum=on,gso=on,host_tso4=on,guest_tso4=on \
@@ -320,10 +320,10 @@ Test Case5: DPDK GRO test with 2 queues using tcp/ipv4 traffic
 3.  Set up vm with virto device and using kernel virtio-net driver::
 
      taskset -c 31 /home/qemu-install/qemu-4.2.1/bin/qemu-system-x86_64 -name us-vhost-vm1 \
-       -cpu host -enable-kvm -m 2048 -object memory-backend-file,id=mem,size=2048M,mem-path=/mnt/huge,share=on \
+       -cpu host -enable-kvm -m 2048 -object memory-backend-file,id=mem,size=2048M,mem-path=/dev/hugepages,share=on \
        -numa node,memdev=mem \
        -mem-prealloc -monitor unix:/tmp/vm2_monitor.sock,server,nowait -netdev user,id=yinan,hostfwd=tcp:127.0.0.1:6005-:22 -device e1000,netdev=yinan \
-       -smp cores=1,sockets=1 -drive file=/home/osimg/ubuntu2004.img  \
+       -smp cores=1,sockets=1 -drive file=/home/image/ubuntu2004.img  \
        -chardev socket,id=char0,path=./vhost-net \
        -netdev type=vhost-user,id=mynet1,chardev=char0,vhostforce,queues=2 \
        -device virtio-net-pci,mac=52:54:00:00:00:01,netdev=mynet1,mrg_rxbuf=on,csum=on,gso=on,host_tso4=on,guest_tso4=on,mq=on,vectors=15 \
diff --git a/test_plans/dpdk_gso_lib_test_plan.rst b/test_plans/dpdk_gso_lib_test_plan.rst
index 3e9b7576..67736936 100644
--- a/test_plans/dpdk_gso_lib_test_plan.rst
+++ b/test_plans/dpdk_gso_lib_test_plan.rst
@@ -69,10 +69,10 @@ Test Case1: DPDK GSO test with tcp traffic
 
     taskset -c 13 \
     qemu-system-x86_64 -name us-vhost-vm1 \
-    -cpu host -enable-kvm -m 2048 -object memory-backend-file,id=mem,size=2048M,mem-path=/mnt/huge,share=on \
+    -cpu host -enable-kvm -m 2048 -object memory-backend-file,id=mem,size=2048M,mem-path=/dev/hugepages,share=on \
     -numa node,memdev=mem \
     -mem-prealloc -monitor unix:/tmp/vm2_monitor.sock,server,nowait -net nic,macaddr=00:00:00:08:e8:aa,addr=1f -net user,hostfwd=tcp:127.0.0.1:6001-:22 \
-    -smp cores=1,sockets=1 -drive file=/home/osimg/ubuntu16.img  \
+    -smp cores=1,sockets=1 -drive file=/home/image/ubuntu2004.img  \
     -chardev socket,id=char0,path=./vhost-net \
     -netdev type=vhost-user,id=mynet1,chardev=char0,vhostforce \
     -device virtio-net-pci,mac=52:54:00:00:00:01,netdev=mynet1,mrg_rxbuf=on,csum=on,gso=on,host_tso4=on,guest_tso4=on,rx_queue_size=1024,tx_queue_size=1024 -vnc :10 -daemonize
@@ -131,10 +131,10 @@ Test Case3: DPDK GSO test with vxlan traffic
 
     taskset -c 13 \
     qemu-system-x86_64 -name us-vhost-vm1 \
-    -cpu host -enable-kvm -m 2048 -object memory-backend-file,id=mem,size=2048M,mem-path=/mnt/huge,share=on \
+    -cpu host -enable-kvm -m 2048 -object memory-backend-file,id=mem,size=2048M,mem-path=/dev/hugepages,share=on \
     -numa node,memdev=mem \
     -mem-prealloc -monitor unix:/tmp/vm2_monitor.sock,server,nowait -net nic,macaddr=00:00:00:08:e8:aa,addr=1f -net user,hostfwd=tcp:127.0.0.1:6001-:22 \
-    -smp cores=1,sockets=1 -drive file=/home/osimg/ubuntu16.img  \
+    -smp cores=1,sockets=1 -drive file=/home/image/ubuntu2004.img  \
     -chardev socket,id=char0,path=./vhost-net \
     -netdev type=vhost-user,id=mynet1,chardev=char0,vhostforce \
     -device virtio-net-pci,mac=52:54:00:00:00:01,netdev=mynet1,mrg_rxbuf=on,csum=on,gso=on,host_tso4=on,guest_tso4=on,rx_queue_size=1024,tx_queue_size=1024 -vnc :10 -daemonize
@@ -185,10 +185,10 @@ Test Case4: DPDK GSO test with gre traffic
 
     taskset -c 13 \
     qemu-system-x86_64 -name us-vhost-vm1 \
-    -cpu host -enable-kvm -m 2048 -object memory-backend-file,id=mem,size=2048M,mem-path=/mnt/huge,share=on \
+    -cpu host -enable-kvm -m 2048 -object memory-backend-file,id=mem,size=2048M,mem-path=/dev/hugepages,share=on \
     -numa node,memdev=mem \
     -mem-prealloc -monitor unix:/tmp/vm2_monitor.sock,server,nowait -net nic,macaddr=00:00:00:08:e8:aa,addr=1f -net user,hostfwd=tcp:127.0.0.1:6001-:22 \
-    -smp cores=1,sockets=1 -drive file=/home/osimg/ubuntu16.img  \
+    -smp cores=1,sockets=1 -drive file=/home/image/ubuntu2004.img  \
     -chardev socket,id=char0,path=./vhost-net \
     -netdev type=vhost-user,id=mynet1,chardev=char0,vhostforce \
     -device virtio-net-pci,mac=52:54:00:00:00:01,netdev=mynet1,mrg_rxbuf=on,csum=on,gso=on,host_tso4=on,guest_tso4=on,rx_queue_size=1024,tx_queue_size=1024 -vnc :10 -daemonize